# C:/Documents and Settings/Adam Schwartz/My Documents/um/code/intro.h File Reference

Go to the source code of this file.

## Functions
void | acce (int id, float Uval, float speedL)
## Variables
float | cax
float | cay
float | test2 = 0
float | temp = 0
boolean | voiceSound = 1
float | BL [10][4]
float | aiSt [20]
float | aiRSt [20]
float | EX [10][2]
const int | M = 0
const int | L = 1
const int | X = 2
const int | Z = 3
const int | SS = 4
const int | RS = 5
const int | AY = 7
const int | NX = 8
const int | NZ = 9
const int | NX2 = 10
const int | NZ2 = 11
const int | DX = 12
const int | DZ = 13
const int | ET = 14
const int | FW = 15
const int | PR = 16
const int | EN = 17
const int | NX3 = 18
const int | NZ3 = 19
const int | AC = 20
const int | WR = 21
const int | LS = 22
const int | TM = 23
const int | OWN = 24
const int | HIT = 25
const int | DAM = 26
const int | MOVM = 27
const int | CM = 29
const int | WR2 = 30
const int | AR = 31
const int | PER = 32
const int | ML = 33
const int | MOVEABLE = 34
const int | noTurn = 0
const int | explore = 1
const int | setDest = 2
const int | turnDet = 3
const int | speedTo = 4
const int | alert = 1
const int | runAway = 2
const int | fire = 3
const int | damage = 2
const int | death = 1
const int | idle = 0
const int | listening = 1
const int | attack = 1
const int | stop = 2
const int | ffire = 3
const int | nfire = 4
const int | hfire = 5
const int | follow = 6
const int | retreat = 7
const int | move = 8
const int | gold = 0
const int | red = 1
int | enemiesLeft = 0
int | alliesLeft = 0
int | player = gold
const int | BUL_LIFE = 0
const int | BULX = 1
const int | BULZ = 2
const int | BULA = 3
const int | BUL_OWNER = 4
int | clickWaiter [20][3]
int | am = 10
int | Wam = 10
int | Eam = 10
int | musicMode = 0
int | m_combat = 9
int | m_death = 6
int | m_title = 7
int | m_idle = 8
int | gameMode = 0
int | multiSelect = 0
int | multiSelCount = 0
int | mouseClick = 0
int | mouseCounter = 0
const int | clicked = 1
const int | dragged = 2
int | goldDeath = 0
int | redDeath = 0
const int | tourPlaneStart = 300
const int | tourPlaneEnd = 35
const int | bullNumStart = 50
const int | bullNumEnd = 99
const int | vehicleNumStart = 100
const int | vehicleNumEnd = 200

## Function Documentation

void acce | ( | int | id,
|  | float | Uval,
|  | float | speedL |
| ) |  |  |

## Variable Documentation

const int AC = 20

float aiRSt[20]

float aiSt[20]

const int alert = 1

int alliesLeft = 0

int am = 10

const int AR = 31

const int attack = 1

const int AY = 7

float BL[10][4]

const int BUL_LIFE = 0

const int BUL_OWNER = 4

const int BULA = 3

const int bullNumEnd = 99

const int bullNumStart = 50

const int BULX = 1

const int BULZ = 2

float cax

float cay

const int clicked = 1

int clickWaiter[20][3]

const int CM = 29

const int DAM = 26

const int damage = 2

const int death = 1

const int dragged = 2

const int DX = 12

const int DZ = 13

int Eam = 10

const int EN = 17

int enemiesLeft = 0

const int ET = 14

float EX[10][2]

const int explore = 1

const int ffire = 3

const int fire = 3

const int follow = 6

const int FW = 15

int gameMode = 0

const int gold = 0

int goldDeath = 0

const int hfire = 5

const int HIT = 25

const int idle = 0

const int L = 1

const int listening = 1

const int LS = 22

const int M = 0

int m_combat = 9

int m_death = 6

int m_idle = 8

int m_title = 7

const int ML = 33

int mouseClick = 0

int mouseCounter = 0

const int move = 8

const int MOVEABLE = 34

const int MOVM = 27

int multiSelCount = 0

int multiSelect = 0

int musicMode = 0

const int nfire = 4

const int noTurn = 0

const int NX = 8

const int NX2 = 10

const int NX3 = 18

const int NZ = 9

const int NZ2 = 11

const int NZ3 = 19

const int OWN = 24

const int PER = 32

int player = gold

const int PR = 16

const int red = 1

int redDeath = 0

const int retreat = 7

const int RS = 5

const int runAway = 2

const int setDest = 2

const int speedTo = 4

const int SS = 4

const int stop = 2

float temp = 0

float test2 = 0

const int TM = 23

const int tourPlaneEnd = 35

const int tourPlaneStart = 300

const int turnDet = 3

const int vehicleNumEnd = 200

const int vehicleNumStart = 100

boolean voiceSound = 1

int Wam = 10

const int WR = 21

const int WR2 = 30

const int X = 2

const int Z = 3